## zfs-linux 2.2.6

=== debian/changelog ===
zfs-linux (2.2.6-pve1) bookworm; urgency=medium

  * update to new ZFS upstream 2.2.6 release

 -- Proxmox Support Team <support@proxmox.com>  Thu, 05 Sep 2024 12:01:03 +0200

zfs-linux (2.2.4-pve1) bookworm; urgency=medium

  * update to new ZFS upstream 2.2.4 release

 -- Proxmox Support Team <support@proxmox.com>  Tue, 04 Jun 2024 11:11:48 +0200

zfs-linux (2.2.3-pve2) bookworm; urgency=medium

  * fix #4835: order zfs-import@ before -cache/-scan

  * backport (module) patches from the 2.2.4 staging tree for better Linux 6.8
    support

 -- Proxmox Support Team <support@proxmox.com>  Mon, 08 Apr 2024 17:43:35 +0200

zfs-linux (2.2.3-pve1) bookworm; urgency=medium

  * update to new ZFS upstream 2.2.3 release

  * fix #5288: correctly handle zvols with more than 15 partitions in udev

 -- Proxmox Support Team <support@proxmox.com>  Mon, 11 Mar 2024 13:42:50 +0100

zfs-linux (2.2.2-pve2) bookworm; urgency=medium

  * fix #5101: ensure datasets that have sharenfs enabled are not unexported
    after a `zfs mount -a` call.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 19 Feb 2024 16:56:37 +0100

zfs-linux (2.2.2-pve1) bookworm; urgency=medium

  * update to new ZFS upstream 2.2.2 release, as we have all important fixes
    for recent discovered data integrity issues backported to previous
    versions, there should be no visible change in that regard.

 -- Proxmox Support Team <support@proxmox.com>  Mon, 04 Dec 2023 16:50:25 +0100

zfs-linux (2.2.0-pve4) bookworm; urgency=medium

  * pick bug-fix staged for 2.2.2:
    - fix (rare) corruption caused by dirty dnode being treated as clean

 -- Proxmox Support Team <support@proxmox.com>  Wed, 29 Nov 2023 09:21:26 +0100

zfs-linux (2.2.0-pve3) bookworm; urgency=medium

  * pick bug-fixes staged for 2.2.1:
    - add a tunable to disable BRT support and disable it by default
    - fix block cloning between unencrypted and encrypted datasets
    - disable block cloning by default

 -- Proxmox Support Team <support@proxmox.com>  Fri, 17 Nov 2023 17:32:58 +0100

zfs-linux (2.2.0-pve2) bookworm; urgency=medium

  * avoid error from zfs-mount when /etc/exports.d does not exist (yet)

  * ensure vdev_stat struct layout compat between 2.1 and 2.2, avoiding
    false-positive detection of the non-allocating feature from 2.2 when the
    kernel still used the 2.1 module.

 -- Proxmox Support Team <support@proxmox.com>  Sun, 12 Nov 2023 16:02:02 +0100

zfs-linux (2.2.0-pve1) bookworm; urgency=medium

  * update ZFS to 2.2.0

  * zfsutils-linux:
    - install new systemd units to trim a pool periodically
    - ship new `zilstat` binary
    - and new man pages for zfs lock, zfs unlock and vdev properties
    - remove man pages for zfs jail and zfs unjail, those are for FreeBSD only
      and the respective commands where never exposed for Linux

  * fix #5014: re-enable blk-mq optimization

 -- Proxmox Support Team <support@proxmox.com>  Sun, 15 Oct 2023 12:09:24 +0200

zfs-linux (2.1.13-pve1) bookworm; urgency=medium

  * update ZFS to 2.1.13

 -- Proxmox Support Team <support@proxmox.com>  Thu, 28 Sep 2023 12:22:28 +0200

zfs-linux (2.1.12-pve1) bookworm; urgency=medium

  * update ZFS to 2.1.12

  * zfs trim: avoid exit-failure if last pool isn't nvme-only

 -- Proxmox Support Team <support@proxmox.com>  Tue, 13 Jun 2023 15:25:16 +0200

zfs-linux (2.1.11-pve2) bookworm; urgency=medium

  * re-build for Debian 12 Bookworm based releases

 -- Proxmox Support Team <support@proxmox.com>  Sat, 20 May 2023 19:32:04 +0200

zfs-linux (2.1.11-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.11

 -- Proxmox Support Team <support@proxmox.com>  Thu, 20 Apr 2023 09:30:53 +0200

zfs-linux (2.1.9-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.9

 -- Proxmox Support Team <support@proxmox.com>  Sat, 28 Jan 2023 15:03:22 +0100

zfs-linux (2.1.7-pve3) bullseye; urgency=medium

  * backport a fix for as potentially hanging pipe when resizing it on recv

  * backport a fix for setting extended attributes (xattr)

  * adapt to 6.1 changes for open syscall with TMPFILE option

 -- Proxmox Support Team <support@proxmox.com>  Sat, 07 Jan 2023 13:21:57 +0100

zfs-linux (2.1.7-pve2) bullseye; urgency=medium

  * backport fix for initramfs script when detecting rootfs legacy mountpoints

 -- Proxmox Support Team <support@proxmox.com>  Mon, 02 Jan 2023 17:07:18 +0100

zfs-linux (2.1.7-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.7

 -- Proxmox Support Team <support@proxmox.com>  Tue, 06 Dec 2022 16:41:31 +0100

zfs-linux (2.1.6-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.6

  * symlink zpool_influxdb to /bin

  * symlink zfs, zpool to /bin/ for non-root usage

 -- Proxmox Support Team <support@proxmox.com>  Tue, 04 Oct 2022 16:09:17 +0200

zfs-linux (2.1.5-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.5

  * Build with libcurl for new keylocation=https://

  * d/control: add new zfs-dracut package

 -- Proxmox Support Team <support@proxmox.com>  Tue, 28 Jun 2022 16:13:24 +0200

zfs-linux (2.1.4-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.4

 -- Proxmox Support Team <support@proxmox.com>  Thu, 24 Mar 2022 09:28:50 +0100

zfs-linux (2.1.3-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.3

 -- Proxmox Support Team <support@proxmox.com>  Fri, 11 Mar 2022 16:36:22 +0100

zfs-linux (2.1.2-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.2

 -- Proxmox Support Team <support@proxmox.com>  Tue, 11 Jan 2022 11:31:34 +0100

zfs-linux (2.1.1-pve3) bullseye; urgency=medium

  * zfs-utils: arc stat/summary: guard access to l2arc MFU/MRU stats to avoid
    bogus exception when checking the ARC stats/summary on a older, 2.0 based
    ZFS kernel module with the newer, 2.1 based, user space tools.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 10 Nov 2021 09:58:31 +0100

zfs-linux (2.1.1-pve1) bullseye; urgency=medium

  * update ZFS to 2.1.1

 -- Proxmox Support Team <support@proxmox.com>  Tue, 28 Sep 2021 06:16:14 +0200


