## zfs-linux 2.2.7

=== debian/changelog ===
zfs-linux (2.2.7-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Dec 2024 22:39:12 -0800

zfs-linux (2.2.7-1) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: Breaks zfs-fuse (Closes: #1058684)

  [ Shengqi Chen ]
  * New upstream version 2.2.7 (Closes: #1089578, #1089488, #1084964)
  * Refresh existing patches & symbol control files
  * d/rules: skip installing upstream removed files
  * d/copyright: remove superfluous files
  * d/control: add zfs-fuse version to Breaks

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 13 Dec 2024 01:31:52 +0800

zfs-linux (2.2.6-2) unstable; urgency=high

  [ Alexandre Detiste ]
  * d/control: remove python3-distutils from Depends: alternative (Closes: #1082141)

  [ Aron Xu ]
  * Revert "d/patches: add bump-linux-maximum.patch"

 -- Aron Xu <aron@debian.org>  Sat, 12 Oct 2024 19:05:55 +0800

zfs-linux (2.2.6-1) unstable; urgency=medium

  * New upstream version 2.2.6
    - compatibile with Linux 4.18 - 6.11rc
  * d/patches: refresh patches & removed applied patch

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 05 Sep 2024 10:56:11 +0800
