=== debian/tests/control ===
Tests: kernel-smoke-test, kernel-ztest
Restrictions: needs-root, allow-stderr, isolation-machine
Depends: linux-headers-686 [i386],
         linux-headers-amd64 [amd64],
         linux-headers-arm64 [arm64],
         linux-headers-armmp [armhf],
         linux-headers-powerpc64le [ppc64el],
         linux-headers-riscv64 [riscv64],
         linux-headers-rpi [armel],
         linux-headers-s390x [s390x],
         zfs-dkms [ amd64 arm64 ppc64el s390x ],
         zfs-initramfs [ amd64 arm64 ppc64el s390x ],
         zfs-test [ amd64 arm64 ppc64el s390x ],
         zfs-zed [ amd64 arm64 ppc64el s390x ],
         zfsutils-linux [ amd64 arm64 ppc64el s390x ],
         @recommends@

Tests: zfs-test-suite-1, zfs-test-suite-2, zfs-test-suite-3, zfs-test-suite-4
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, flaky-and-slow
Depends: linux-headers-686 [i386],
         linux-headers-amd64 [amd64],
         linux-headers-arm64 [arm64],
         linux-headers-armmp [armhf],
         linux-headers-powerpc64le [ppc64el],
         linux-headers-riscv64 [riscv64],
         linux-headers-rpi [armel],
         linux-headers-s390x [s390x],
         zfs-dkms [ amd64 arm64 ppc64el s390x ],
         zfs-initramfs [ amd64 arm64 ppc64el s390x ],
         zfs-test [ amd64 arm64 ppc64el s390x ],
         zfs-zed [ amd64 arm64 ppc64el s390x ],
         zfsutils-linux [ amd64 arm64 ppc64el s390x ],
         @recommends@

Tests: binary-debs-modules, binary-debs-modules-udeb
Restrictions: needs-root, allow-stderr
Depends: fakeroot,
         linux-headers-686 [i386],
         linux-headers-amd64 [amd64],
         linux-headers-arm64 [arm64],
         linux-headers-armmp [armhf],
         linux-headers-powerpc64le [ppc64el],
         linux-headers-riscv64 [riscv64],
         linux-headers-rpi [armel],
         linux-headers-s390x [s390x],
         @builddeps@
